---
search:
  tags:
    - Static Listings
    - GET
seo:
  description: >-
    Retrieves all static listings configured for the app. Reference for the GET
    /api/v1/{team_slug}/{app_slug}/static-listings endpoint in the Management
    API.
sidebar:
  label: Get all static listings
  badge: GET
title: Get all static listings
type: openapi-operation
---
Retrieves all static listings configured for the app

`GET /api/v1/{team_slug}/{app_slug}/static-listings`

**Responses**

- `200` — static-listings retrieved successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `422` — Invalid request and not parsable by backend
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "created_at": "string",
      "id": "string",
      "slug": "string",
      "updated_at": "string",
      "variants": [
        {
          "app_id": "string",
          "custom_fields": {
            "property1": "string",
            "property2": "string"
          },
          "id": "string",
          "product_id": "string",
          "product_name": "string",
          "variant_name": "string",
          "variant_number": "string"
        }
      ]
    }
  ],
  "details": [
    "string"
  ],
  "success": true
}
```
